FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Masters Of The Universe

 
 
LinkBack Thread Tools
 
Old 01-12-2008, 07:36 PM
Mario Limonciello
 
Default faad2 and faac Hardy changes

Hi Folks,

Any ideas what happened with faad2? It appears that it was synced with
debian (rather than merged) at some point and promoted to universe.
This makes for trouble for some of the packages that were depending upon
the mp4v2 packages that it was producing.

Particularly, faac can't be installed now since it build-depended upon
libmp4v2-dev. Mythplugins was failing its build because of this too.
I'm sure eventually a few more will pop up.

So is there a reason that this all happened? Is there an intention of
the mp4v2 packages coming back?

--
Mario Limonciello
superm1@ubuntu.com


--
Ubuntu-motu mailing list
Ubuntu-motu@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-motu
 
Old 01-12-2008, 07:41 PM
Mario Limonciello
 
Default faad2 and faac Hardy changes

Mario Limonciello wrote:
> Hi Folks,
>
> Any ideas what happened with faad2? It appears that it was synced with
> debian (rather than merged) at some point and promoted to universe.
> This makes for trouble for some of the packages that were depending upon
> the mp4v2 packages that it was producing.
>
> Particularly, faac can't be installed now since it build-depended upon
> libmp4v2-dev. Mythplugins was failing its build because of this too.
> I'm sure eventually a few more will pop up.
>
> So is there a reason that this all happened? Is there an intention of
> the mp4v2 packages coming back?
>
The sync request for it:
https://bugs.edge.launchpad.net/ubuntu/+source/faad2/+bug/155686
isn't very informative either.

No information regarding replaces, or conflicts are provided for our extra
packages in multiverse.

--
Mario Limonciello
superm1@ubuntu.com

--
Ubuntu-motu mailing list
Ubuntu-motu@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-motu
 
Old 01-12-2008, 10:16 PM
Mario Limonciello
 
Default faad2 and faac Hardy changes

Mario Limonciello wrote:
> Mario Limonciello wrote:
>> Hi Folks,
>>
>> Any ideas what happened with faad2? It appears that it was synced with
>> debian (rather than merged) at some point and promoted to universe.
>> This makes for trouble for some of the packages that were depending upon
>> the mp4v2 packages that it was producing.
>>
>> Particularly, faac can't be installed now since it build-depended upon
>> libmp4v2-dev. Mythplugins was failing its build because of this too.
>> I'm sure eventually a few more will pop up.
>>
>> So is there a reason that this all happened? Is there an intention of
>> the mp4v2 packages coming back?
>>
> The sync request for it:
> https://bugs.edge.launchpad.net/ubuntu/+source/faad2/+bug/155686
> isn't very informative either.
>
> No information regarding replaces, or conflicts are provided for our extra
> packages in multiverse.
>

Okay well for now, my investigation brought me into a large mess of circular
dependencies between faac, faad2 and mpeg4ip. They seemed to each want another
one to be possible to build.

The cleanest solution appears to be a merge from debian multimedia of mpeg4ip
(which provides libmp4v2). It appears that it was quite a hack to be including
it in faad2, since the tarball was manually added. Oddly enough, the
debian-multimedia package depended upon faac and faad2 (which won't build right
now because of the lack of libmp4v2).

After reading through the README.html shipped with mpeg4ip, it appears that they
shouldn't be present in the build environment when making things.

I cleaned up the build dependencies and uploaded mpeg4ip to hardy (pending the
NEW queue). Hopefully this will clear up a lot of this.


NEW: mpeg4ip_1.6.orig.tar.gz
NEW: mpeg4ip_1.6-0.2ubuntu1.diff.gz
NEW: mpeg4ip_1.6-0.2ubuntu1.dsc

********* *BEGIN ENCRYPTED or SIGNED PART* *********

Format: 1.7
Date: Sat, 12 Jan 2008 15:59:56 -0600
Source: mpeg4ip
Binary: mpeg4ip-utils libmpeg4ip-doc libmpeg4ip-0 libmpeg4ip-dev libmp4v2-dev
libmp4v2-0 mpeg4ip-server
Architecture: source
Version: 1:1.6-0.2ubuntu1
Distribution: hardy
Urgency: low
Maintainer: Ubuntu MOTU <ubuntu-motu@lists.ubuntu.com>
Changed-By: Mario Limonciello <superm1@ubuntu.com>
Description:
libmp4v2-0 - freeware Advanced Audio Decoder - runtime files
libmp4v2-dev - freeware Advanced Audio Decoder - development files
libmpeg4ip-0 - end-to-end system to explore streaming multimedia
libmpeg4ip-dev - end-to-end system to explore streaming multimedia
libmpeg4ip-doc - end-to-end system to explore streaming multimedia - documentation
mpeg4ip-server - end-to-end system to explore streaming multimedia
mpeg4ip-utils - end-to-end system to explore streaming multimedia
Changes:
mpeg4ip (1:1.6-0.2ubuntu1) hardy; urgency=low
.
* debian/control:
- Don't build depend on libfaac-dev or libfaad-dev.
Readme indicates that both can cause troubles with the build.
- Build depend on non cvs variants of libavcodec-dev and libavutil-dev
- Update maintainer field.
- Drop bugs field.
* Add 04_bashishms.dpatch for a few dash/bash related problems during build.
* debian/copyright:
- Include licenses for all included source packages.
Files:
070af345c7242b270a997831052a12ab 1060 sound optional mpeg4ip_1.6-0.2ubuntu1.dsc
96fc14bafc386043d44067f63e18419b 4672535 sound optional mpeg4ip_1.6.orig.tar.gz
2d278aa0fa579f6c308e195cc8afd324 15845 sound optional
mpeg4ip_1.6-0.2ubuntu1.diff.gz
Original-Maintainer: Christian Marillat <marillat@debian.org>



********** *END ENCRYPTED or SIGNED PART* **********

--
Mario Limonciello
superm1@ubuntu.com

--
Ubuntu-motu mailing list
Ubuntu-motu@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-motu
 
Old 01-14-2008, 10:53 PM
John Dong
 
Default faad2 and faac Hardy changes

On Sat, Jan 12, 2008 at 05:16:29PM -0600, Mario Limonciello wrote:
>
> The cleanest solution appears to be a merge from debian multimedia of mpeg4ip
> (which provides libmp4v2). It appears that it was quite a hack to be including


Just for the record of the mailing list, Mario and I caught up a bit on
this today, indeed pulling mpeg4ip from debian-multimedia is the correct
way of re-providing libmp4v2 and I've been working on that on and off
too. We should've fixed up the packaging and licensing issues enough to
make it through archive admins this time, then we'll need to rebuild the
entire reverse-dependency tree stemming from mpeg4ip, faac, and possibly
faad2.

--
Ubuntu-motu mailing list
Ubuntu-motu@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-motu
 

Thread Tools




All times are GMT. The time now is 12:52 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org